> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_get_member.md).

# nats\_get\_member

Alias: get\_affiliates

## Parameters

(*Required parameters in bold)*

| Parameter                                                                                                       | Description                                                                                                       | Possible Values                | Default Value               | Example                         |
| --------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- | ------------------------------ | --------------------------- | ------------------------------- |
| memberid                                                                                                        | Specify the member id of the member you want to retrieve information on                                           | 1                              | 0                           | memberid=1                      |
| memberidx                                                                                                       | Specify the memberidx of the member you want information for                                                      | RSBNATIVE:12345                | 0                           | memberidx="RSBNATIVE:12345"     |
| username                                                                                                        | Specify the username of the member you're looking for. This parameter also requires siteid and email to be set    | DemoUser                       | 0                           | username="DemoUser"             |
| siteid                                                                                                          | Specify the siteid of the member you're looking for. This parameter also requires username and email to be set    | 1                              | 0                           | siteid=1                        |
| email                                                                                                           | Specify the e-mail address of the member you're looking for. This parameter also requires the username and siteid | <change@toomuchmedia.com>      | 0                           | email=<change@toomuchmedia.com> |
| transaction\_id                                                                                                 | Specify the the biller transaction id of a transaction associated with the member you are looking for.            | EPOCH:12345                    | 0                           | transaction\_id="EPOCH:12345"   |
| status                                                                                                          | Specify the status of the member you're looking for                                                               | 1                              | 0                           | status=1                        |
| token\_hash                                                                                                     | Specify the token hash of the member you're looking for.                                                          | 13asd12                        | 0                           | token\_hash="13asd12"           |
| full\_info                                                                                                      | Specify if you want to retrieve all the information for the member                                                | 1                              | 0                           | full\_info=1                    |
| [assign\_prefix](/nats-admin/skins-and-templates/further-reading/template-function-parameters/assign_prefix.md) | Prefix output variables with this word. (Click link for details)                                                  | Any valid Smarty variable name | *None.* (No prefix is used) | assign\_prefix="myvar"          |

## Output

Returns an array called $get\_member populated with the member data.

## Examples

```
{nats_get_member memberid="12345"}
```

## Notes

To make an array reference, create the array using the [nats\_add\_to\_array](/nats-admin/skins-and-templates/further-reading/template-functions/nats_add_to_array.md) function.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_get_member.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
